Package com.destroystokyo.paper.profile

# Class ProfileProperty

java.lang.Object
com.destroystokyo.paper.profile.ProfileProperty

public class ProfileProperty extends Object
Represents a property on a `PlayerProfile`

## Constructor Summary

Constructors
Constructor
Description
`ProfileProperty(@NotNull String name, @NotNull String value)`
`ProfileProperty(@NotNull String name, @NotNull String value, @Nullable String signature)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`@NotNull String`
`getName()`
`@Nullable String`
`getSignature()`
`@NotNull String`
`getValue()`
`int`
`hashCode()`
`boolean`
`isSigned()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProfileProperty

public ProfileProperty(@NotNull @NotNull String name, @NotNull @NotNull String value)

### ProfileProperty

public ProfileProperty(@NotNull @NotNull String name, @NotNull @NotNull String value, @Nullable @Nullable String signature)

## Method Details

### getName

@NotNull public @NotNull String getName()

Returns:
  The property name, ie "textures"

### getValue

@NotNull public @NotNull String getValue()

Returns:
  The property value, likely to be base64 encoded

### getSignature

@Nullable public @Nullable String getSignature()

Returns:
  A signature from Mojang for signed properties

### isSigned

public boolean isSigned()

Returns:
  If this property has a signature or not

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`